<template>
  <div>
    <Deal v-for="(deal, index) in dealsList" :key="index" :deal="deal"/>
    <Pagination :pages='pageNumber' @click="onClick"/>
  </div>
</template>

<script>
import Deal from '@/components/Deal.vue'
import Pagination from '@/components/Pagination.vue'
import axios from 'axios'

export default {
  name: 'Deals',
  components: {
    Deal,
    Pagination
  },
  data() {
    return {
      dealsList: [],
      pageNumber: 1,
      limit: 5
    }
  },
  mounted() {
    this.getDealsPage(1)
  },
  methods: {
    getDealsPage(page) {
       axios.get('/api/deals/', {limit: this.limit, page})
      .then((response) => {
        this.dealsList = response.data.row.deals
        this.pageNumber = response.data.row.pages
      });
    },
    onClick(page){
      this.getDealsPage(page)
      window.scrollTo(0,0)
    }
  }
}
</script>

<style scoped lang="scss">
</style>
